Subject: [UFL-dev] [HG UFL] Bugfix in expand_indices. What I thought was a

From: [email-masked] (UFL)
Date: Fri, 6 Mar 2009 11:33:30 +0100 (CET)

One or more new changesets pushed to the primary ufl repository.
A short summary of the last three changesets is included below.

changeset:   707:059f1437c21cffeed1af32d024419ee8fb2bfbc5
tag:         tip
user:        "Martin Sandve Alnæs <[email-masked]>"
date:        Fri Mar 06 11:34:42 2009 +0100
files:       sandbox/algorithmtests/test_expand_indices.py test/algorithms.py ufl/algorithms/transformations.py
description:
Bugfix in expand_indices. What I thought was a
"security" feature backfired... I need to sit
down with this implementation to make sure
it works as it should. If you have any problems,
don't trust expand_indices unconditionally!

changeset:   706:c43d5e99a9b364f010b872b67ce8ea58691b5ab8
user:        "Martin Sandve Alnæs <[email-masked]>"
date:        Fri Mar 06 10:39:12 2009 +0100
files:       sandbox/profiling/compile_form.py
description:
improved compile_form to not print expressions but numbered vertices,
output of course got huge for nontrivial equations.

changeset:   705:5c02179a77d2a0ea3ec1aaf821022dd5880b7c4b
user:        "Martin Sandve Alnæs <[email-masked]>"
date:        Fri Mar 06 10:32:37 2009 +0100
files:       sandbox/profiling/compile_form.py sandbox/profiling/compile_hyperelasticity.py
description:
Added compile_form.py, which loads a form file (commandline argument)
and prints graph partitions along with timing information.

----------------------------------------------------------------------
For more details, visit http://www.fenics.org/hg/ufl